import { alert } from '../js/dialogs.js'

export default {
  methods: {
    machineStateIsOK() {
        if (this.machineState) {
            if (this.machineState.status=='Idle') {
                return true
            } else {
                alert('Controller status is wrong', 'Error', 'error')
            }
        } else {
            alert('Controller state is wrong', 'Error', 'error')
        }
        return false
    }
  }
}
